/**
 * Adds a default empty profile to the editor
 */
function useTemplate(key) {
  var message = "The current content in the editor will be replaced and unsaved work will be lost.";
  confirmation(
    message,
    function () { _useTemplate(key);}
  );
}

function _useTemplate(key) {
  templates[key](editor);
  if(gui) window.external.setProfileEditorType(key);
}

function setupTemplates() {
  $('#template-list a').click(function(){
    useTemplate($(this).attr('key'));
    return false;
  });
}



